' (c) John Harding, 2012 - see license.txt for 
' licensing details

' Example designed for Gen 2 Prius

' Configures connection speed to 500kbps and 
' configures a channel to receive all messages
' into a FIFO buffer with 32 records.
'
' When a message with id 52Ch is received
' we calculate the ECT from the appropriate data
' bytes.

' Note that the period of this message is 
' approximately 1Hz but that we receive many
' wrong ids before we get the message we want

' This example is provided to contrast with 
' example 1.  It is suggested to use example 1
' as the basis for your code. 

Dim ok
Dim data(8)
Dim id
Dim typ
Dim length

CAN CONFIG ok
CAN SETSPEED 500000, ok
CAN ADDRXCHNL 0, 0, 0, 32, ok
CAN ENABLE ok

Timer=0
Do
  q$ = Inkey$
  If (q$="q") Then Exit
  CAN RX 0, id, typ, length, data(0), ok
  If (ok=1) Then
    If (id=&H52C) Then
      Print " "
      Print Timer ": " Hex$(id) " : " length " : ECT= " data(1) / 2 " C"
    Else
      Print Timer ": " Hex$(id) " ";
    Endif
  EndIf
Loop
CAN FREE
End
